Skip to main content
POST
/
v6
/
imports
/
mx
/
transactions
MX Transactions
curl --request POST \
  --url https://sandbox.tight.com/v6/imports/mx/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "guid": "<string>",
      "accountGuid": "<string>",
      "amount": 123,
      "createdAt": "<string>",
      "date": "<string>",
      "status": "<string>",
      "type": "<string>",
      "updatedAt": "<string>",
      "category": "<string>",
      "categoryGuid": "<string>",
      "checkNumberString": "<string>",
      "currencyCode": "<string>",
      "description": "<string>",
      "isBillPay": true,
      "isDirectDeposit": true,
      "isExpense": true,
      "isFee": true,
      "isIncome": true,
      "isInternational": true,
      "isManual": true,
      "isOverdraftFee": true,
      "isPayrollAdvance": true,
      "isSubscription": true,
      "latitude": 123,
      "localizedDescription": "<string>",
      "localizedMemo": "<string>",
      "longitude": 123,
      "memo": "<string>",
      "merchantCategoryCode": 123,
      "merchantGuid": "<string>",
      "merchantLocationGuid": "<string>",
      "originalDescription": "<string>",
      "postedAt": "<string>",
      "topLevelCategory": "<string>",
      "transactedAt": "<string>"
    }
  ]
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "result": "SUCCESS",
      "statusCode": 200,
      "data": {
        "id": "btxn_158998869",
        "type": "EXPENSE",
        "date": "2025-06-26",
        "amount": -273479,
        "displayName": "Gusto",
        "description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
        "notes": "June Payroll",
        "status": "ACTIVE",
        "reviewStatus": "RECONCILED",
        "apiName": "GUSTO",
        "iconUrl": "https://cdn.sandbox.tight.com/icons/integrations/gusto.png",
        "apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
        "bankAccount": {
          "id": "bka_7542850",
          "name": "Business Checking",
          "displayName": "Business Checking *1687"
        },
        "classSegments": [
          {
            "id": "cls_593051",
            "label": {
              "id": "cll_4521",
              "name": "Region",
              "requiredness": "REQUIRED"
            },
            "name": "Mid Atlantic",
            "child": {
              "id": "cls_593054",
              "label": {
                "id": "cll_4522",
                "name": "Location",
                "requiredness": "NOT_REQUIRED"
              },
              "name": "Washington DC"
            }
          },
          {
            "id": "cls_594913",
            "label": {
              "id": "cll_4523",
              "name": "Job Code",
              "requiredness": "NOT_REQUIRED"
            },
            "name": "7050 – Interior Finishes"
          }
        ],
        "customer": {
          "id": "cus_4852707",
          "name": "Abigail Adams",
          "email": "abigail@tight.com"
        },
        "vendor": {
          "id": "vnd_28868401",
          "name": "Gusto"
        },
        "category": {
          "id": "ctg_58932890",
          "name": "Wages",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
        },
        "suggestedCategories": [
          {
            "id": "ctg_58932891"
          },
          {
            "id": "ctg_58932892"
          }
        ],
        "glAccount": {
          "id": "gla_38560327",
          "name": "Officer(s) Salaries and Wages",
          "accountNo": "60210",
          "type": "EXPENSE",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
        },
        "invoiceItem": {
          "id": "<string>",
          "description": "<string>"
        },
        "reconciliationMatch": {
          "id": "<string>",
          "amount": 123,
          "date": "2025-06-28",
          "description": "<string>",
          "apiName": "UNIT",
          "apiInstitutionId": "<string>"
        },
        "matchingBankTransaction": {
          "id": "<string>",
          "amount": 123,
          "date": "2025-06-28",
          "description": "<string>",
          "apiName": "UNIT",
          "apiInstitutionId": "<string>"
        },
        "conversation": {
          "id": "<string>",
          "readStatus": "UNREAD"
        },
        "rule": {
          "id": "<string>",
          "transactionSource": "<string>"
        },
        "attachments": [
          {
            "id": "att_894321",
            "url": "https://files.example.com/attachment/receipt1.pdf",
            "fileName": "receipt1.pdf",
            "fileSize": "24.5 KB",
            "createdDateTime": "2026-03-26T15:37:21.111153145",
            "iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
          },
          {
            "id": "att_894322",
            "url": "https://files.example.com/attachment/receipt2.pdf",
            "fileName": "receipt2.pdf",
            "fileSize": "156.2 KB",
            "createdDateTime": "2026-03-25T15:37:21.111215444",
            "iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
          }
        ],
        "tax": {},
        "children": [],
        "customData": {
          "empty": false,
          "object": true,
          "nodeType": "OBJECT",
          "embeddedValue": false,
          "array": false,
          "null": false,
          "missingNode": false,
          "valueNode": false,
          "container": true,
          "string": false,
          "float": false,
          "number": false,
          "pojo": false,
          "integralNumber": false,
          "floatingPointNumber": false,
          "short": false,
          "int": false,
          "long": false,
          "double": false,
          "bigDecimal": false,
          "bigInteger": false,
          "textual": false,
          "boolean": false,
          "binary": false
        }
      },
      "error": [
        {
          "type": "UNKNOWN_ERROR",
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
data
object[]
required

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]